### Signal

# SpiceClientGLib DisplayChannel::streaming-mode

deprecated: 0.36 since: 0.35

#### Declaration

    gpointer
    streaming_mode (
      SpiceDisplayChannel* self,
      gboolean streaming_mode,
      gpointer user_data
    )

#### Description

No description available.

Default handler:
Available since: 0.35
Deprecated since: 0.36
Use `SpiceDisplayChannel::gst-video-overlay` instead.

#### Parameters

`streaming_mode`

  Type: `gboolean`

  `TRUE` when it’s streaming mode.

#### Return value

Type: `gpointer`

Handle for the display window if possible

The `SpiceDisplayChannel::streaming-mode` signal is emitted when spice server is working in streaming mode.

The data is owned by the called function.
The return value can be `NULL`.